// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-process/pkg/repositories (interfaces: SchemeRepository)
//
// Generated by this command:
//
//	mockgen -destination=./mock_scheme_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-process/pkg/repositories SchemeRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	model "gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-process/pkg/model"
	model0 "gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockSchemeRepository is a mock of SchemeRepository interface.
type MockSchemeRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSchemeRepositoryMockRecorder
	isgomock struct{}
}

// MockSchemeRepositoryMockRecorder is the mock recorder for MockSchemeRepository.
type MockSchemeRepositoryMockRecorder struct {
	mock *MockSchemeRepository
}

// NewMockSchemeRepository creates a new mock instance.
func NewMockSchemeRepository(ctrl *gomock.Controller) *MockSchemeRepository {
	mock := &MockSchemeRepository{ctrl: ctrl}
	mock.recorder = &MockSchemeRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSchemeRepository) EXPECT() *MockSchemeRepositoryMockRecorder {
	return m.recorder
}

// FetchAppManager mocks base method.
func (m *MockSchemeRepository) FetchAppManager(oin string) (*model.AppManager, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchAppManager", oin)
	ret0, _ := ret[0].(*model.AppManager)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchAppManager indicates an expected call of FetchAppManager.
func (mr *MockSchemeRepositoryMockRecorder) FetchAppManager(oin any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchAppManager", reflect.TypeOf((*MockSchemeRepository)(nil).FetchAppManager), oin)
}

// FetchOrganization mocks base method.
func (m *MockSchemeRepository) FetchOrganization(oin string) (*model0.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchOrganization", oin)
	ret0, _ := ret[0].(*model0.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchOrganization indicates an expected call of FetchOrganization.
func (mr *MockSchemeRepositoryMockRecorder) FetchOrganization(oin any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).FetchOrganization), oin)
}

// RegisterOrganization mocks base method.
func (m *MockSchemeRepository) RegisterOrganization(arg0 model.Organization) (*model0.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RegisterOrganization", arg0)
	ret0, _ := ret[0].(*model0.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RegisterOrganization indicates an expected call of RegisterOrganization.
func (mr *MockSchemeRepositoryMockRecorder) RegisterOrganization(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RegisterOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).RegisterOrganization), arg0)
}
